package tagrepository

import tagdomain "legalgo-BE-go/internal/domain/tag"

func (a *accessor) GetByIDs(ids []string) ([]tagdomain.Tag, error) {
	var tags []tagdomain.Tag

	if err := a.db.Find(&tags, "id IN ?", ids).Error; err != nil {
		return nil, err
	}

	return tags, nil
}
